IntelliCAD 11.1 Object Library | |
InsertBlock Method | |
See Also |
- InsertionPoint
A Point object representing the point at which the block will be inserted.
- BlockName
- The name of the block.
- XScale
- The scale factor along the x-axis.
- YScale
- The scale factor along the y-axis.
- ZScale
- The scale factor along the z-axis.
- Rotation
- The rotation angle (in radians).
PaperSpace Collection : InsertBlock Method |
Description
Syntax
Visual Basic |
---|
Public Function InsertBlock( _ ByVal InsertionPoint As Point, _ ByVal BlockName As String, _ Optional ByVal XScale As Double = 1, _ Optional ByVal YScale As Double = 1, _ Optional ByVal ZScale As Double = 1, _ Optional ByVal Rotation As Double = 0 _ ) As BlockInsert |
Parameters
- InsertionPoint
A Point object representing the point at which the block will be inserted.
- BlockName
- The name of the block.
- XScale
- The scale factor along the x-axis.
- YScale
- The scale factor along the y-axis.
- ZScale
- The scale factor along the z-axis.
- Rotation
- The rotation angle (in radians).
Example
' This example creates a block containing a line and an arc
' and adds it to the Blocks collection. It then inserts the block.
' Create the block and add it to the Blocks collection
Dim blockObj As IntelliCAD.Block
Dim insPt As IntelliCAD.Point
Dim BlkName As String
BlkName = InputBox("Type a block name")
Set insPt = Library.CreatePoint(4, 3, 0)
Set blockObj = ThisDocument.Blocks.Add(insPt, BlkName)
' Add a a line and an arc to the block
Dim lineObj As IntelliCAD.Line
Dim myStartPt As IntelliCAD.Point
Dim myEndPt As IntelliCAD.Point
Dim arcObj As IntelliCAD.Arc
Dim cenPt As Point
Dim radius As Double
Set lineObj = ThisDocument.ModelSpace.AddLine(Library.CreatePoint(4, 4), Library.CreatePoint(7, 1))
Set cenPt = Library.CreatePoint(3, 4, 0)
radius = 1
Set arcObj = blockObj.AddArc(cenPt, radius)
' Insert the block
Dim blockRefObj As IntelliCAD.BlockInsert
Set blockRefObj = ThisDocument.ModelSpace.InsertBlock(insPt, BlkName, 1, 1, 0)
MsgBox "The block " & BlkName & " has been inserted."
End Sub